# Class DriverUtil

java.lang.Object
com.databricks.jdbc.common.util.DriverUtil

public class DriverUtil extends Object
Utility class for operations related to the Databricks JDBC driver.

This class provides methods for retrieving version information, setting up logging and resolving metadata clients.

## Constructor Summary

Constructors
Constructor
Description
`DriverUtil()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getDriverMajorVersion()`
`static int`
`getDriverMinorVersion()`
`static String`
`getDriverName()`
`static String`
`getDriverVersion()`
`static String`
`getDriverVersionWithoutOSSSuffix()`
`static int`
`getJDBCMajorVersion()`
`static int`
`getJDBCMinorVersion()`
`static boolean`
`isRunningAgainstFake()`
Returns whether the driver is running against fake services based on request/response stubs.
`static void`
`resolveMetadataClient(IDatabricksConnectionInternal connection)`
`static void`
`setUpLogging(IDatabricksConnectionContext connectionContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DriverUtil

public DriverUtil()

## Method Details

### getDriverVersion

public static String getDriverVersion()

### getDriverVersionWithoutOSSSuffix

public static String getDriverVersionWithoutOSSSuffix()

### getDriverName

public static String getDriverName()

### getDriverMajorVersion

public static int getDriverMajorVersion()

### getDriverMinorVersion

public static int getDriverMinorVersion()

### getJDBCMajorVersion

public static int getJDBCMajorVersion()

### getJDBCMinorVersion

public static int getJDBCMinorVersion()

### resolveMetadataClient

public static void resolveMetadataClient(IDatabricksConnectionInternal connection) throws DatabricksValidationException

Throws:
  `DatabricksValidationException`

### setUpLogging

public static void setUpLogging(IDatabricksConnectionContext connectionContext) throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

### isRunningAgainstFake

public static boolean isRunningAgainstFake()
Returns whether the driver is running against fake services based on request/response stubs.